petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSAdjointResetForward

Reset the tangent linear solver and destroy the tangent linear context

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdjointResetForward(TS ts)

Logically Collective on TS

### Input Parameters

ts -the TS context obtained from TSCreate()

### See Also

TSAdjointSetForward()

### Level

intermediate

### Location

src/ts/interface/sensitivity/tssen.c

### Examples

src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages